Skip to content

OAuth2 compatible token login

POST
/api/v1/auth/login/access-token
curl --request POST \
--url https://api.totalview.energy/api/v1/auth/login/access-token \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data grant_type=example \
--data username=example \
--data password=example \
--data scope= \
--data client_id=example \
--data client_secret=example
Media type application/x-www-form-urlencoded
Body_login_access_token_api_v1_auth_login_access_token_post
object
grant_type
Any of:
string
/^password$/
username
required
Username
string
password
required
Password
string format: password
scope
Scope
string
""
client_id
Any of:
string
client_secret
Any of:
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}